%define oname ardour2

Summary:   	Professional multitrack audio recording application
Summary(de): 	Professionelle Mehrspur-Audio-Aufnahme Anwendung
Name:		ardour
Version:	2.8.16
Release:	%mkrel 1
Group:		Sound
License:	GPLv2+
URL:		http://ardour.org/
Source0:	http://releases.ardour.org/%{name}-%{version}.tar.xz
Source1:	wiimote.tar.gz
Source2:	ardour.script
Patch0:        ardour-SConscript.patch
# Colored grep output makes the script print errors:
Patch1:        ardour-no-grep-options.patch
Patch3:        ardour-2.5-HOST_NOT_FOUND.patch
# Filed upstream: http://tracker.ardour.org/view.php?id=5476
Patch4:        ardour-fix-mm-includes.patch
# lilv-0.16 compatibility. Fixed in trunk
Patch5:        ardour-lilv016fix.patch
#-----------------------------------------------------
BuildRequires:	fftw3-devel
BuildRequires:	gettext >= 0.11.5
BuildRequires:	gtk2-devel >= 2.8
BuildRequires:	gtkmm2.4-devel >= 2.10.8
BuildRequires:	jackit-devel >= 0.100
BuildRequires: 	libalsa-devel
BuildRequires:	libart_lgpl-devel >= 2.3.16
BuildRequires:	dmalloc
BuildRequires:	libflac-devel
BuildRequires:	libglib2.0-devel >= 2.10
BuildRequires:	liblo-devel
BuildRequires:	libsamplerate-devel >= 0.0.13
BuildRequires:	libsndfile-devel >= 1.0.16
BuildRequires:	libtool
BuildRequires: 	libusb-devel
BuildRequires:	libxml2-devel >= 2.5.0
BuildRequires:	libxslt-devel
BuildRequires:	pkgconfig
BuildRequires:	scons >= 0.96
BuildRequires:	sqlite3-devel
BuildRequires:	lv2core-devel
BuildRequires:	xdg-utils
BuildRequires:	shared-mime-info
BuildRequires:	libredland-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}aubio-devel
BuildRequires:	%{_lib}boost-devel
BuildRequires:	%{_lib}curl-devel
BuildRequires:	%{_lib}cwiid-devel
BuildRequires:	%{_lib}gnomecanvas2_0-devel
BuildRequires:	%{_lib}gnomecanvasmm2.6-devel
BuildRequires:	%{_lib}lilv-devel
BuildRequires:	%{_lib}lrdf2-devel >= 0.3.1
BuildRequires:	%{_lib}raptor-devel
BuildRequires:	%{_lib}rubberband-devel
BuildRequires:	%{_lib}slv2-devel >= 0.6.0
BuildRequires:	%{_lib}soundtouch-devel >= 1.3.1
BuildRequires:	%{_lib}sord-devel
BuildRequires:	%{_lib}sratom-devel
BuildRequires:	%{_lib}serd-devel
BuildRequires:	%{_lib}suil-devel
BuildRequires:	%{_lib}vamp-plugin-sdk-devel
#-----------------------------------------------------
Requires:	jackit >= 0.100
Requires(pre):	xdg-utils
Requires(pre):	shared-mime-info
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Conflicts: 	ardour3

%description
Ardour is a digital audio workstation.You can use it to record, edit and mix
multi-track audio. You can produce your own CDs, mix video soundtracks, or just
experiment with new ideas about music and sound.

Ardour capabilities include: multichannel recording, non-destructive editing
with unlimited undo/redo, full automation support, a powerful mixer, unlimited
tracks/busses/plugins, timecode synchronization, and hardware control from
surfaces like the Mackie Control Universal. If you've been looking for a tool
similar to ProTools, Nuendo, Pyramix, or Sequoia, you might have found it.

YOU MUST HAVE JACKD RUNNING AND AN ALSA SOUND DRIVER TO USE ARDOR. IF YOU ARE
NEW TO JACKD, TRY QJACKCTL.

See the online user manual at http://ardour.org/files/manual/index.html

%description -l de
Ardour ist ein professioneller Mehrspur-Festplattenrekorder (HDR) und digital 
Audio-Workstation (DAW). Mehr als 24 Kanäle bzw. Spuren gleichzeitig mit 32 bit 
Audio bei 48kHz werden unterstützt. Ardour funktioniert wie ein professionelles 
Festplattenrekorder-System HDR, es ersetzt damit Hardware-Lösungen wie das 
Mackie HDR, den Tascan 2424 und weitere traditionelle Bandsysteme wie die Alesis 
ADAT-Serie. Es soll mindestens die gleiche Funktionalität von Software-Lösungen 
wie ProTools, Samplitude, Logic Audio, Nuendo oder Cubase VST bieten 
(diese und alle anderen Namen sind Markenzeichen Ihrer Eigentümer). Es unterstützt 
„MIDI Machine Control“ und kann damit von jedem MMC-Controller, wie dem Mackie 
Digital 8 Bus Mixer und vielen weiteren modernen Digitalmixern gesteuert werden. 


%prep

%setup -q 
%patch0 -p1 -b .SConscript
%patch1 -p1 -b .no.grep.opts
%patch3 -p0 -b .host.not.found
%patch4 -p1
%patch5 -p1 -b .lilv016

# Fix encodings:
iconv -f ISO-8859-1 -t UTF8 ardour.1.fr > ardour.1.fr.tmp
touch -r ardour.1.fr ardour.1.fr.tmp
mv -f ardour.1.fr.tmp ardour.1.fr
iconv -f KOI8-R     -t UTF8 ardour.1.ru > ardour.1.ru.tmp
touch -r ardour.1.ru ardour.1.ru.tmp
mv -f ardour.1.ru.tmp ardour.1.ru

%build
echo "GenericName=Digital Audio Workstation" >> gtk2_ardour/ardour2.desktop.in

%ifarch %{ix86}
ARCH_FLAGS="-DARCH_X86 -DBUILD_SSE_OPTIMIZATIONS -msse -mfpmath=sse -DUSE_XMMINTRIN"
TARGETCPU="i686"
%endif
%ifarch x86_64
ARCH_FLAGS="-DARCH_X86 -DBUILD_SSE_OPTIMIZATIONS -DUSE_X86_64_ASM -msse -mfpmath=sse -DUSE_XMMINTRIN"
TARGETCPU="x86_64"
%endif

scons PREFIX=%{_prefix} LIBDIR=%{_lib} SYSLIBS=1 \
      FREESOUND=1 \
      DIST_TARGET="${TARGETCPU}" \
      ARCH="$RPM_OPT_FLAGS $ARCH_FLAGS" \
      AUSTATE=1 \
      DIST_LIBDIR=%{_lib} \
      WIIMOTE=1


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
scons DESTDIR=%{buildroot} install

# copy icons to freedesktop locations
for s in 16 22 32 48 ; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps
    cp -p $RPM_BUILD_ROOT%{_datadir}/ardour2/icons/ardour_icon_${s}px.png \
       $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps/ardour2.png
done

# install the desktop entry
mv gtk2_ardour/ardour2.desktop{.in,}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  gtk2_ardour/ardour2.desktop

# install mime entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages/
install -p -m 0644 gtk2_ardour/ardour2.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages/

# install the man pages
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m 0644 ardour.1 $RPM_BUILD_ROOT%{_mandir}/man1/
for lang in es fr ru ; do
  install -dm 755 $RPM_BUILD_ROOT%{_mandir}/${lang}/man1/
  install -p -m 0644 ardour.1.${lang} $RPM_BUILD_ROOT%{_mandir}/${lang}/man1/
done

%find_lang gtk2_ardour
cat gtk2_ardour.lang > ardour.lang
%find_lang libardour2
cat libardour2.lang >> ardour.lang
%find_lang libgtkmm2ext
cat libgtkmm2ext.lang >> ardour.lang

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
update-desktop-database &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null
fi
update-desktop-database &> /dev/null
update-mime-database %{_datadir}/mime &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf %{buildroot}


%files -f ardour.lang
%defattr(-,root,root)
%doc README COPYING
%config(noreplace) %{_sysconfdir}/ardour2
%{_bindir}/ardour2
%{_libdir}/ardour2/
%{_datadir}/ardour2/
%{_datadir}/icons/hicolor/*/apps/ardour2.png
%{_datadir}/applications/ardour2.desktop
%{_datadir}/mime/packages/ardour2.xml
%{_mandir}/man1/ardour.1*
%{_mandir}/es/man1/ardour.1*
%{_mandir}/fr/man1/ardour.1*
%{_mandir}/ru/man1/ardour.1*

%changelog
* Tue Oct 29 2013 pinoc <vogtpet at gmail.com> 2.8.16-1pclos2013
- 2.8.16 (rebased on Fedora)
- added BR serd, sord, sratom, lilv, suil, dmalloc

* Thu Nov 24 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.8.12-2_archie_2011
- fixed the double menu entry

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.8.12-1_archie_2011
- update

* Sun Dec 05 2010 Texstar <texstar at gmail.com> 2.8.11-2pclos2010
- rebuild against updated libs

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 2.8.11-1pclos2010
- 2.8.11
- add german description

* Mon Jan 23 2010 slick50 <lxgator at gmail.com> 2.8.5-1pclos2010
- 2.8.5
